import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/NikhilMakkena/488878d4a45cf82afd882d37a2983ac2/raw/75853190d9e5080efbd7e419c70ffdc769fc8766/USA.json';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
